Package be.fgov.ehealth.dics.protocol.v5

# Class ValidateSamIdResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.dics.protocol.v5.ValidateSamIdResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ValidateSamIdResponse extends ResponseType implements Serializable

Java class for ValidateSamIdResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidateSamIdResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="Date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="ConsultationType" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateSamIdResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConsultationType()`
  The consultation type assiociated with the given SAM Id.
  `Instant`
  `getDate()`
  The date of consultation associated with the given SAM Id
  `void`
  `setConsultationType(String value)`
  Sets the value of the consultationType property.
  `void`
  `setDate(Instant value)`
  Sets the value of the date property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateSamIdResponse

    public ValidateSamIdResponse()

- ## Method Details

  - ### getDate

    public Instant getDate()
    The date of consultation associated with the given SAM Id
    Returns:
      possible object is `String`

  - ### setDate

    public void setDate(Instant value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDate()`

  - ### getConsultationType

    public String getConsultationType()
    The consultation type assiociated with the given SAM Id. Can be one of: "DICS", "EXPORT"
    Returns:
      possible object is `String`

  - ### setConsultationType

    public void setConsultationType(String value)
    Sets the value of the consultationType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getConsultationType()`